FROM nginx:1.27.4-alpine-slim

RUN apk update && apk add --no-cache bash git python3 make tzdata curl py3-pip musl-locales
RUN curl -LsSf https://astral.sh/uv/install.sh | sh && mv /root/.local/bin/uv /usr/local/bin

COPY docker/nginx.conf /etc/nginx/nginx.conf

# set timezone and locale
RUN cp /usr/share/zoneinfo/Europe/Paris /etc/localtime && echo "Europe/Paris" > /etc/timezone
ENV TZ=Europe/Paris

COPY docker/docker-init.sh /usr/local/bin/
RUN chmod +x usr/local/bin/docker-init.sh

CMD ["docker-init.sh"]